# PetscDrawRestoreSingleton

Remove access to a PetscDraw object as if it were owned by the one process.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode PETSC_DLLEXPORT PetscDrawRestoreSingleton(PetscDraw draw,PetscDraw *sdraw)

Collective on PetscDraw

### Input Parameters

| draw | - the original window
| sdraw | - the singleton window

### See Also

PetscDrawGetSingleton(), PetscViewerGetSingleton(), PetscViewerRestoreSingleton()

Level:advanced
Location: src/sys/draw/interface/draw.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages